#include <bits/stdc++.h>
#define FAST {ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);}
#define ll long long
#define ull unsigned long long
#define pqueue priority_queue
#define pb push_back
#define fi first
#define se second
#define ld long double
#define pii pair<int,int>
#define pll pair<long long,long long>
#define all(a) (a).begin(), (a).end()
#define mp make_pair
using namespace std;
/*
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>
using namespace __gnu_pbds;

#define ordered_set tree<pll, null_type,less<pll>, rb_tree_tag,tree_order_statistics_node_update>
*/
// order_of_key -> # less than k
// find_by_order -> k-th element
// pq max element




int main () {
    FAST
    int n;
    cin >> n;
    vector<int>v(n);
    for (int i = 0 ; i < n ; i++ ) {
        cin >> v[i];
    }

    vector<int>p(n,0);
    for (int i = 1 ; i < n ; i++ ) {
        if ( v[i] < v[i-1] ) p[i] = 1;
        p[i] += p[i-1];
        //cout << p[i];
    }

    int q;
    cin >> q;
    while(q--){
        int l,r;
        cin >> l >> r;
        r--;l--;
        if ( p[r]-p[l] > 1 ) {
            cout << "NE" <<endl;
        }
        else cout << "DA"<<endl;
    }

}